> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List assets

> Returns a list of all supported assets.

<Tabs groupId="programming-language">
  <Tab value="Java" title="Java">
    ```java theme={null}
    AssetsService assetsService = IntxServiceFactory.createAssetsService(client);
    ListAssetsRequest request = new ListAssetsRequest.Builder().build();
    ListAssetsResponse response = assetsService.listAssets(request);
    ```

    For more information, please visit the [INTX Java SDK](https://github.com/coinbase-samples/intx-sdk-java).
  </Tab>

  <Tab value=".NET" title=".NET">
    ```cs theme={null}
    var assetsService = new AssetsService(client);
    var request = new ListAssetsRequest();
    var response = assetsService.ListAssets(request);
    ```

    For more information, please visit the [INTX .NET SDK](https://github.com/coinbase-samples/intx-sdk-dotnet).
  </Tab>

  <Tab value="Go" title="Go">
    ```go theme={null}
    assetsSvc := assets.NewAssetsService(client)
    request := &assets.ListAssetsRequest{}
    response, err := assetsSvc.ListAssets(context.Background(), request)
    ```

    For more information, please visit the [INTX Go SDK](https://github.com/coinbase-samples/intx-sdk-go).
  </Tab>

  <Tab value="Python" title="Python">
    ```python theme={null}
    client = IntxClient()
    request = ListAssetsRequest()
    response = client.list_assets(request)
    ```

    For more information, please visit the [INTX Python SDK](https://github.com/coinbase-samples/intx-sdk-py).
  </Tab>

  <Tab value="Typescript" title="TS/JS">
    ```js theme={null}
    const assetsService = new AssetsService(client);

    assetsService.listAssets().then(async (response) => {
        console.log('Assets: ', response);
    })
    ```

    For more information, please visit the [INTX TS SDK](https://github.com/coinbase-samples/intx-sdk-ts).
  </Tab>

  <Tab value="CLI" title="CLI">
    ```
    intxctl list-assets --help
    ```

    For more information, please visit the [INTX CLI](https://github.com/coinbase-samples/intx-cli).
  </Tab>
</Tabs>


## OpenAPI

````yaml GET /api/v1/assets
openapi: 3.0.3
info:
  title: REST API
  description: >
    # Welcome to Coinbase INTX API

    ## Introduction

    The INTX APIs allow institutions to trade and manage orders on the
    International Exchange. The following API pages detail various REST API
    endpoints we offer.

    ## Getting Started

    To get started, please visit one of the following pages:

    - [Quickstart](/international-exchange/introduction/quickstart)

    -
    [Overview](/api-reference/international-exchange-api/rest-api/introduction)

    -
    [Authentication](/api-reference/international-exchange-api/rest-api/authentication)

    - [Rate Limits](/international-exchange/introduction/rate-limits-overview)

    ## FIX API

    - [FIX API reference](/international-exchange/fix-api/fix-api-overview)

    ## WebSocket API

    - [WebSocket API
    reference](/international-exchange/websocket-feed/websocket-overview)
  version: '1.0'
servers:
  - url: https://api.international.coinbase.com
security: []
paths:
  /api/v1/assets:
    get:
      tags:
        - Assets
      summary: List assets
      description: Returns a list of all supported assets.
      operationId: getAssets
      responses:
        '200':
          description: Asset list
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Asset_v1'
components:
  schemas:
    Asset_v1:
      type: object
      properties:
        asset_id:
          description: >-
            A unique identifier to represent the asset specifically on the
            exchange
          type: string
          example: 3351829018369611
        asset_uuid:
          description: >-
            A UUID to represent the asset (portable across other Coinbase
            systems)
          type: string
          format: uuid
          example: 592a8039-db3e-45ed-b752-ffd1983eead2
        asset_name:
          description: The name of the asset
          type: string
          example: BTC
        status:
          $ref: '#/components/schemas/AssetStatus'
        collateral_weight:
          description: The haircut value applied to the asset when used as collateral
          type: number
          format: double
          example: 0.9
        supported_networks_enabled:
          type: boolean
          example: true
        min_borrow_qty:
          type: string
          example: 10
        max_borrow_qty:
          type: string
          example: 1000000
        loan_collateral_requirement_multiplier:
          type: number
          format: double
          example: 1.2
        ecosystem_collateral_limit_breached:
          type: boolean
          example: false
        loan_initial_margin:
          description: The initial margin requirement for borrowing this asset
          type: string
          example: 0.15
        max_loan_leverage:
          description: >-
            The maximum amount of leverage a user can have on a loan of this
            asset
          type: string
          example: 3
    AssetStatus:
      description: An asset level status that would affect all markets with the asset
      type: string
      enum:
        - ACTIVE
        - DISABLED
      example: ACTIVE

````